const config = require("../config")

module.exports = {
    list: {
        url: config.base_dev_url + "farm/list",
        type: "get",
    },
    weatherRiskVirtualFarmList: {
        url: config.base_dev_url + "farm/weatherRiskVirtualFarmList?key="+config.mini_key,
        type: "get",
    },
    getTimeLine: {
        url: config.base_dev_url + "fairyland/getNodesByFarmId",
        type: "get",
    },
    getReportData: {
        url: config.base_dev_url + "fairyland/predict",
        type: "post",
    },
    getCataclysmTimeLine: {
        url: config.base_dev_url + "fairyland/getDisasterNodesByFarmId",
        type: "get",
    },
    getCataclysmReportData: {
        url: config.base_dev_url + "fairyland/disasterPredict",
        type: "post",
    },
    getDisasterJudgment: {
        url: config.base_dev_url + "fairyland/disasterJudgment",
        type: "post",
    },
    fetchFarmDetail: {
        url: config.base_dev_url + "farm/getById",
        type: "get",
    },
    fetchFarmWorkList: {
        url: config.base_dev_url + "farm/farm_work_list",
        type: "get",
    },
    fetchFarmImgs: {
        url: config.base_dev_url + "image/list",
        type: "post",
    },
    getLiveStart: {
        url: config.base_dev_url + "farm/liveStart",
        type: "get",
    },
}
